News::Scan::Poster(3pm)

NAME
News::Scan::Poster - keep track of posters to a newsgroup

SYNOPSIS
    use News::Scan::Poster;

    my $poster = News::Scan::Poster->new($news_scan_article_obj);

DESCRIPTION
This module provides a class whose objects can be used to keep track of cumulative statistics for posters to a Usenet newsgroup such as header volume or signature lines.

CONSTRUCTOR

new ( ARTICLE )
    "ARTICLE" should be a "News::Scan::Article" object or inherit from the "News::Scan::Article" class.

    "new" performs some initialization and returns a "News::Scan::Poster" object.

METHODS

address ( [ ADDRESS ] )
    Returns the address of this poster represented as a "Mail::Internet" object.

    If present, "ADDRESS" tells the object that the "Mail::Internet" object in "ADDRESS" is its address. idea.

attrib ( [ ATTRIBUTION ] )
    Returns some nice attribution for this poster.

    If present, "ATTRIBUTION" tells the object how it shall identify itself when asked.

message_ids ( [ MESSAGE-ID ] )
    Returns a list of Message-IDs attributed to this poster.

    If present, "MESSAGE-ID" is added to this list of this poster's articles.

volume
    Returns the volume in bytes of the traffic generated by this poster.

articles
    Returns the number of articles attributed to this poster.

posted_to
    Returns a hash whose keys are newsgroup names and whose values are the number of times this poster has crossposted to the group of interest and the corresponding newsgroup.

crossposts
    Returns the total number of crossposts this poster has sent through the group of interest.

header_volume
    Returns the volume in bytes generated by this poster's headers.

header_lines
    Returns the number of header lines generated by this poster.

body_volume
    Returns the volume in bytes generated by this poster's message bodies.

body_lines
    Returns the number of body lines generated by this poster.

orig_volume
    Returns the volume in bytes of original content generated by this poster.

orig_lines
    Returns the number of original lines generated by this poster.

sig_volume
    Returns the volume in bytes generated by this poster's signatures.

sig_lines
    Returns the number of signature lines generated by this poster.

SEE ALSO
News::Scan, Mail::Address, News::Scan::Article

AUTHOR
Greg Bacon <gbacon@cs.uah.edu>

COPYRIGHT
Copyright (c) 1997 Greg Bacon. All Rights Reserved. This library is free software. You may distribute and/or modify it under the same terms as Perl itself.